/**
 * Copyright (C) 2010 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __SEARCH_H__
#define __SEARCH_H__

#include <thunarx/thunarx.h>
  
G_BEGIN_DECLS;

typedef struct _LtopSearchClass LtopSearchClass;
typedef struct _LtopSearch      LtopSearch;

#define LTOP_TYPE_SEARCH             (ltop_search_get_type ())
#define SEARCH(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), LTOP_TYPE_SEARCH, LtopSearch))
#define SEARCH_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), LTOP_TYPE_SEARCH, LtopSearchClass))
#define LTOP_IS_PROVIDER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), LTOP_TYPE_SEARCH))
#define LTOP_IS_PROVIDER_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), LTOP_TYPE_SEARCH))
#define SEARCH_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), LTOP_TYPE_SEARCH, LtopSearchClass))
  
GType ltop_search_get_type      (void) G_GNUC_CONST G_GNUC_INTERNAL;
void  ltop_search_register_type (ThunarxProviderPlugin *plugin) G_GNUC_INTERNAL;
  
G_END_DECLS;
  
#endif /* !__SEARCH_H__ */

